import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
type TemplateWithContext = {
    template: TemplateRef<unknown>;
    context: unknown;
};
type TextOrTemplateValue = string | TemplateRef<unknown> | TemplateWithContext | undefined;
export declare class TextOrTemplateComponent {
    private readonly _value;
    get value(): TextOrTemplateValue;
    set value(value: TextOrTemplateValue);
    defaultTextTemplate?: TemplateRef<{
        $implicit: string | undefined;
    }>;
    readonly stringValue: import("@angular/core").Signal<string | undefined>;
    readonly templateValue: import("@angular/core").Signal<TemplateWithContext | undefined>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextOrTemplateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextOrTemplateComponent, "lib-text-or-template", never, { "value": { "alias": "value"; "required": false; }; }, {}, ["defaultTextTemplate"], never, true, never>;
}
export {};
